### Hierarchy

- default

## Index

### Constructors

- constructor

### Properties

- module

### Methods

- activateOfflineMode
- enable
- hasData
- isEnabled
- registerComponent

## Constructors

### constructor

- new default(ngeoOfflineConfiguration: default): default

- - Defined in src/offline/Mode.js:32
  nginject
  ngdoc

    service

  ngname

    ngeoOfflineState

  #### Parameters

  - ##### ngeoOfflineConfiguration: default

    ngeo offline configuration service.

  #### Returns default

## Properties

### Static module

module: IModule

## Methods

### activateOfflineMode

- activateOfflineMode(): void

- - Defined in src/offline/Mode.js:87
  export

  #### Returns void

### enable

- enable(): void

- - Defined in src/offline/Mode.js:71

  Enable offline mode. ATM we cannot escape from the offline mode.

  export

  #### Returns void

### hasData

- hasData(): boolean

- - Defined in src/offline/Mode.js:98
  export

  #### Returns boolean

  True if data are accessible offline.

### isEnabled

- isEnabled(): boolean

- - Defined in src/offline/Mode.js:62

  Return if we are in offline mode.

  export

  #### Returns boolean

  whether offline mode is enabled

### registerComponent

- registerComponent(component: __class): void

- - Defined in src/offline/Mode.js:80
  export

  #### Parameters

  - ##### component: __class

    Offline component.

  #### Returns void

Generated using TypeDoc